/* Ofront 1.2 -xtspa */

#ifndef Kepler2__h
#define Kepler2__h

#include "SYSTEM.h"
#include "KeplerGraphs.h"

typedef
	struct Kepler2_FractionDesc *Kepler2_Fraction;

typedef
	struct Kepler2_FractionDesc { /* KeplerGraphs_PlanetDesc */
		INTEGER x, y, refcnt;
		char _prvt0[2];
		BOOLEAN sel;
		KeplerGraphs_Star next;
		KeplerGraphs_Constellation c;
		LONGINT cnt, dn;
	} Kepler2_FractionDesc;

import void Kepler2_Fraction_Calc ();
import void Kepler2_Fraction_Read ();
import void Kepler2_Fraction_Write ();

typedef
	struct Kepler2_OffsetDesc *Kepler2_Offset;

typedef
	struct Kepler2_OffsetDesc { /* KeplerGraphs_PlanetDesc */
		INTEGER x, y, refcnt;
		char _prvt0[2];
		BOOLEAN sel;
		KeplerGraphs_Star next;
		KeplerGraphs_Constellation c;
		INTEGER dx, dy;
	} Kepler2_OffsetDesc;

import void Kepler2_Offset_Calc ();
import void Kepler2_Offset_Read ();
import void Kepler2_Offset_Write ();

typedef
	struct Kepler2_XYDesc *Kepler2_XY;

typedef
	struct Kepler2_XYDesc { /* KeplerGraphs_PlanetDesc */
		INTEGER x, y, refcnt;
		char _prvt0[2];
		BOOLEAN sel;
		KeplerGraphs_Star next;
		KeplerGraphs_Constellation c;
	} Kepler2_XYDesc;

import void Kepler2_XY_Calc ();



import long *Kepler2_FractionDesc__typ;
import long *Kepler2_XYDesc__typ;
import long *Kepler2_OffsetDesc__typ;

import void Kepler2_NewFractions ();
import void Kepler2_NewOffset ();
import void Kepler2_NewXY ();
import void *Kepler2__init();


#endif
