/* Ofront 1.2 -xtspa */

#ifndef Kepler6__h
#define Kepler6__h

#include "SYSTEM.h"
#include "KeplerGraphs.h"

typedef
	struct Kepler6_BezierDesc *Kepler6_Bezier;

typedef
	struct Kepler6_BezierDesc { /* KeplerGraphs_ConsDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
	} Kepler6_BezierDesc;

import void Kepler6_Bezier_Draw ();

typedef
	struct Kepler6_CRSplineDesc *Kepler6_CRSpline;

typedef
	struct Kepler6_CRSplineDesc { /* KeplerGraphs_ConsDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
	} Kepler6_CRSplineDesc;

import void Kepler6_CRSpline_Draw ();



import long *Kepler6_CRSplineDesc__typ;
import long *Kepler6_BezierDesc__typ;

import void Kepler6_NewBezier ();
import void Kepler6_NewCRSpline ();
import void Kepler6_NewClosedBezier ();
import void Kepler6_NewClosedCRSpline ();
import void *Kepler6__init();


#endif
