/* Ofront 1.2 -xtspa */

#ifndef TextPFrames__h
#define TextPFrames__h

#include "SYSTEM.h"
#include "Display.h"
#include "TextFrames.h"
#include "Texts.h"

typedef
	struct TextPFrames_FrameDesc *TextPFrames_Frame;

typedef
	struct TextPFrames_Location {
		LONGINT org, pos;
		INTEGER x, y, dx, dy;
		char _prvt0[5];
	} TextPFrames_Location;

typedef
	struct TextPFrames_FrameDesc { /* TextFrames_FrameDesc */
		Display_Frame dsc, next;
		INTEGER X, Y, W, H;
		Display_Handler handle;
		Texts_Text text;
		LONGINT org;
		INTEGER col, left, right, top, bot, markH, barW;
		LONGINT time;
		BOOLEAN hasCar, hasSel, showsParcs;
		TextFrames_Location carloc, selbeg, selend;
		Display_Frame focus;
		char _prvt0[4];
		TextPFrames_Location CarLoc, SelBeg, SelEnd;
		char _prvt1[4108];
	} TextPFrames_FrameDesc;



import long *TextPFrames_Location__typ;
import long *TextPFrames_FrameDesc__typ;

import void TextPFrames_BegOfLine ();
import void TextPFrames_Call ();
import void TextPFrames_Copy ();
import void TextPFrames_Edit ();
import void TextPFrames_GetPagination ();
import void TextPFrames_Handle ();
import void TextPFrames_LocateChar ();
import void TextPFrames_LocateLine ();
import void TextPFrames_LocatePage ();
import void TextPFrames_LocatePos ();
import void TextPFrames_LocateWord ();
import void TextPFrames_Neutralize ();
import TextPFrames_Frame TextPFrames_NewText ();
import void TextPFrames_NotifyElems ();
import void TextPFrames_Open ();
import void TextPFrames_PassSubFocus ();
import LONGINT TextPFrames_Pos ();
import void TextPFrames_RemoveCaret ();
import void TextPFrames_RemoveSelection ();
import void TextPFrames_Resize ();
import void TextPFrames_SetCaret ();
import void TextPFrames_SetPagination ();
import void TextPFrames_SetSelection ();
import void TextPFrames_Show ();
import Display_Frame TextPFrames_ThisSubFrame ();
import void TextPFrames_TouchElem ();
import void TextPFrames_TrackCaret ();
import void TextPFrames_TrackLine ();
import void TextPFrames_TrackSelection ();
import void TextPFrames_TrackWord ();
import void TextPFrames_Update ();
import void TextPFrames_Write ();
import void *TextPFrames__init();


#endif
