/* Ofront 1.2 -xtspa */

#ifndef TextPrinter__h
#define TextPrinter__h

#include "SYSTEM.h"
#include "Fonts.h"
#include "Texts.h"

typedef
	struct TextPrinter_PrintMsg { /* Texts_ElemMsg */
		BOOLEAN prepare;
		LONGINT indent;
		Fonts_Font fnt;
		SHORTINT col;
		LONGINT pos;
		INTEGER X0, Y0, pno;
	} TextPrinter_PrintMsg;



import long *TextPrinter_PrintMsg__typ;

import LONGINT TextPrinter_DX ();
import Fonts_Font TextPrinter_Font ();
import SHORTINT TextPrinter_FontNo ();
import void TextPrinter_Get ();
import void TextPrinter_GetChar ();
import void TextPrinter_InitFonts ();
import void TextPrinter_PlaceBody ();
import void TextPrinter_PlaceHeader ();
import void TextPrinter_PrintDraft ();
import void *TextPrinter__init();


#endif
