/* Ofront 1.2 -xtspa */

#ifndef Viewers__h
#define Viewers__h

#include "SYSTEM.h"
#include "Display.h"

typedef
	struct Viewers_ViewerDesc *Viewers_Viewer;

typedef
	struct Viewers_ViewerDesc { /* Display_FrameDesc */
		Display_Frame dsc, next;
		INTEGER X, Y, W, H;
		Display_Handler handle;
		INTEGER state;
	} Viewers_ViewerDesc;

typedef
	struct Viewers_ViewerMsg { /* Display_FrameMsg */
		INTEGER id, X, Y, W, H, state;
	} Viewers_ViewerMsg;


import INTEGER Viewers_curW, Viewers_minH;

import long *Viewers_ViewerDesc__typ;
import long *Viewers_ViewerMsg__typ;

import void Viewers_Broadcast ();
import void Viewers_Change ();
import void Viewers_Close ();
import void Viewers_CloseTrack ();
import void Viewers_InitTrack ();
import void Viewers_Locate ();
import Viewers_Viewer Viewers_Next ();
import void Viewers_Open ();
import void Viewers_OpenTrack ();
import void Viewers_Recall ();
import Viewers_Viewer Viewers_This ();
import void *Viewers__init();


#endif
