/* Ofront 1.2 -xtspa */

#ifndef Display__h
#define Display__h

#include "SYSTEM.h"

typedef
	struct Display_Bytes {
		char _prvt0[1];
	} Display_Bytes;

typedef
	Display_Bytes *Display_Font;

typedef
	struct Display_FrameDesc *Display_Frame;

typedef
	struct Display_FrameMsg {
		char _prvt0[1];
	} Display_FrameMsg;

typedef
	void (*Display_Handler)();

typedef
	struct Display_FrameDesc {
		Display_Frame dsc, next;
		INTEGER X, Y, W, H;
		Display_Handler handle;
	} Display_FrameDesc;


import INTEGER Display_Bottom, Display_Left, Display_Width, Display_Height, Display_ColLeft, Display_UBottom;
import LONGINT Display_Unit, Display_primary, Display_secondary, Display_arrow, Display_cross, Display_star, Display_hook, Display_downArrow, Display_grey0, Display_grey1, Display_grey2, Display_ticks;

import long *Display_FrameMsg__typ;
import long *Display_FrameDesc__typ;
import long *Display_Bytes__typ;

import void Display_CopyBlock ();
import void Display_CopyBlockC ();
import void Display_CopyPattern ();
import void Display_CopyPatternC ();
import void Display_Dot ();
import void Display_DotC ();
import void Display_GetChar ();
import void Display_GetColor ();
import LONGINT Display_Map ();
import LONGINT Display_NewPattern ();
import void Display_ReplConst ();
import void Display_ReplConstC ();
import void Display_ReplPattern ();
import void Display_ReplPatternC ();
import void Display_SetColor ();
import void Display_SetMode ();
import void *Display__init();


#endif
