/* Ofront 1.2 -xtspa */

#ifndef Kepler4__h
#define Kepler4__h

#include "SYSTEM.h"
#include "Fonts.h"
#include "KeplerFrames.h"
#include "KeplerGraphs.h"

typedef
	struct Kepler4_GalaxyDesc *Kepler4_Galaxy;

typedef
	struct Kepler4_GalaxyDesc { /* KeplerGraphs_ConsDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
		KeplerGraphs_Graph G;
	} Kepler4_GalaxyDesc;

import void Kepler4_Galaxy_Draw ();
import void Kepler4_Galaxy_Read ();
import void Kepler4_Galaxy_Write ();

typedef
	struct Kepler4_IconDesc *Kepler4_Icon;

typedef
	struct Kepler4_IconDesc { /* KeplerFrames_ButtonDesc */
		INTEGER nofpts;
		KeplerGraphs_Star p[4];
		KeplerGraphs_Constellation next;
		CHAR cmd[32], par[32];
		Fonts_Font fnt;
		char _prvt0[4];
	} Kepler4_IconDesc;

import void Kepler4_Icon_Draw ();
import void Kepler4_Icon_Execute ();
import void Kepler4_Icon_Read ();
import void Kepler4_Icon_Write ();



import long *Kepler4_IconDesc__typ;
import long *Kepler4_GalaxyDesc__typ;

import void Kepler4_NewButton ();
import void Kepler4_NewGalaxy ();
import void Kepler4_NewIcon ();
import void Kepler4_UpdateButton ();
import void *Kepler4__init();


#endif
