/* Ofront 1.2 -xtspa */

#ifndef KeplerPorts__h
#define KeplerPorts__h

#include "SYSTEM.h"
#include "Display.h"

typedef
	struct KeplerPorts_BalloonPortDesc *KeplerPorts_BalloonPort;

typedef
	struct KeplerPorts_PortDesc *KeplerPorts_Port;

typedef
	struct KeplerPorts_PortDesc { /* Display_FrameDesc */
		Display_Frame dsc, next;
		INTEGER X, Y, W, H;
		Display_Handler handle;
		INTEGER x0, y0, scale;
		KeplerPorts_Port ext;
	} KeplerPorts_PortDesc;

import INTEGER KeplerPorts_Port_CX ();
import INTEGER KeplerPorts_Port_CY ();
import INTEGER KeplerPorts_Port_Cx ();
import INTEGER KeplerPorts_Port_Cy ();
import void KeplerPorts_Port_DrawCircle ();
import void KeplerPorts_Port_DrawEllipse ();
import void KeplerPorts_Port_DrawLine ();
import void KeplerPorts_Port_DrawRect ();
import void KeplerPorts_Port_DrawString ();
import void KeplerPorts_Port_FillCircle ();
import void KeplerPorts_Port_FillQuad ();
import void KeplerPorts_Port_FillRect ();
#define __KeplerPorts_Port_CX(P, x) __SEND(__TYPEOF(P), 0, INTEGER(*)(), (P, x))
#define __KeplerPorts_Port_CY(P, y) __SEND(__TYPEOF(P), 1, INTEGER(*)(), (P, y))
#define __KeplerPorts_Port_Cx(P, X) __SEND(__TYPEOF(P), 2, INTEGER(*)(), (P, X))
#define __KeplerPorts_Port_Cy(P, Y) __SEND(__TYPEOF(P), 3, INTEGER(*)(), (P, Y))
#define __KeplerPorts_Port_DrawCircle(P, x, y, r, col, mode) __SEND(__TYPEOF(P), 4, void(*)(), (P, x, y, r, col, mode))
#define __KeplerPorts_Port_DrawEllipse(P, x, y, a, b, col, mode) __SEND(__TYPEOF(P), 5, void(*)(), (P, x, y, a, b, col, mode))
#define __KeplerPorts_Port_DrawLine(P, x1, y1, x2, y2, col, mode) __SEND(__TYPEOF(P), 6, void(*)(), (P, x1, y1, x2, y2, col, mode))
#define __KeplerPorts_Port_DrawRect(P, x, y, w, h, col, mode) __SEND(__TYPEOF(P), 7, void(*)(), (P, x, y, w, h, col, mode))
#define __KeplerPorts_Port_DrawString(P, x, y, s, s__len, font, col, mode) __SEND(__TYPEOF(P), 8, void(*)(), (P, x, y, s, s__len, font, col, mode))
#define __KeplerPorts_Port_FillCircle(P, x, y, r, col, pat, mode) __SEND(__TYPEOF(P), 9, void(*)(), (P, x, y, r, col, pat, mode))
#define __KeplerPorts_Port_FillQuad(P, x1, y1, x2, y2, x3, y3, x4, y4, col, pat, mode) __SEND(__TYPEOF(P), 10, void(*)(), (P, x1, y1, x2, y2, x3, y3, x4, y4, col, pat, mode))
#define __KeplerPorts_Port_FillRect(P, x, y, w, h, col, pat, mode) __SEND(__TYPEOF(P), 11, void(*)(), (P, x, y, w, h, col, pat, mode))

typedef
	struct KeplerPorts_BalloonPortDesc { /* KeplerPorts_PortDesc */
		Display_Frame dsc, next;
		INTEGER X, Y, W, H;
		Display_Handler handle;
		INTEGER x0, y0, scale;
		KeplerPorts_Port ext;
	} KeplerPorts_BalloonPortDesc;

import void KeplerPorts_BalloonPort_DrawCircle ();
import void KeplerPorts_BalloonPort_DrawEllipse ();
import void KeplerPorts_BalloonPort_DrawLine ();
import void KeplerPorts_BalloonPort_DrawRect ();
import void KeplerPorts_BalloonPort_DrawString ();
import void KeplerPorts_BalloonPort_FillCircle ();
import void KeplerPorts_BalloonPort_FillQuad ();
import void KeplerPorts_BalloonPort_FillRect ();

typedef
	struct KeplerPorts_DisplayPortDesc *KeplerPorts_DisplayPort;

typedef
	struct KeplerPorts_DisplayPortDesc { /* KeplerPorts_PortDesc */
		Display_Frame dsc, next;
		INTEGER X, Y, W, H;
		Display_Handler handle;
		INTEGER x0, y0, scale;
		KeplerPorts_Port ext;
	} KeplerPorts_DisplayPortDesc;

import void KeplerPorts_DisplayPort_DrawCircle ();
import void KeplerPorts_DisplayPort_DrawEllipse ();
import void KeplerPorts_DisplayPort_DrawLine ();
import void KeplerPorts_DisplayPort_DrawString ();
import void KeplerPorts_DisplayPort_FillRect ();

typedef
	struct KeplerPorts_PrinterPortDesc *KeplerPorts_PrinterPort;

typedef
	struct KeplerPorts_PrinterPortDesc { /* KeplerPorts_PortDesc */
		Display_Frame dsc, next;
		INTEGER X, Y, W, H;
		Display_Handler handle;
		INTEGER x0, y0, scale;
		KeplerPorts_Port ext;
	} KeplerPorts_PrinterPortDesc;

import void KeplerPorts_PrinterPort_DrawCircle ();
import void KeplerPorts_PrinterPort_DrawEllipse ();
import void KeplerPorts_PrinterPort_DrawLine ();
import void KeplerPorts_PrinterPort_DrawString ();
import void KeplerPorts_PrinterPort_FillRect ();



import long *KeplerPorts_PortDesc__typ;
import long *KeplerPorts_DisplayPortDesc__typ;
import long *KeplerPorts_PrinterPortDesc__typ;
import long *KeplerPorts_BalloonPortDesc__typ;

import void KeplerPorts_InitBalloon ();
import INTEGER KeplerPorts_StringWidth ();
import void *KeplerPorts__init();


#endif
