/* Ofront 1.2 -xtspa */

#ifndef Modules__h
#define Modules__h

#include "SYSTEM.h"

typedef
	struct Modules_CmdDesc *Modules_Cmd;

typedef
	void (*Modules_Command)();

typedef
	struct Modules_CmdDesc {
		Modules_Cmd next;
		CHAR name[24];
		Modules_Command cmd;
	} Modules_CmdDesc;

typedef
	struct Modules_ModuleDesc *Modules_Module;

typedef
	CHAR Modules_ModuleName[20];

typedef
	struct Modules_ModuleDesc {
		Modules_Module next;
		Modules_ModuleName name;
		LONGINT refcnt;
		Modules_Cmd cmds;
		LONGINT types;
		void (*enumPtrs)();
		char _prvt0[8];
	} Modules_ModuleDesc;


import INTEGER Modules_res;
import CHAR Modules_resMsg[256];
import Modules_ModuleName Modules_imported, Modules_importing;
import BOOLEAN Modules_trace;

import long *Modules_ModuleDesc__typ;
import long *Modules_CmdDesc__typ;

import void Modules_Free ();
import Modules_Command Modules_ThisCommand ();
import Modules_Module Modules_ThisMod ();
import void *Modules__init();

#define Modules_modules()	(Modules_Module)SYSTEM_modules
#define Modules_setmodules(m)	SYSTEM_modules = m

#endif
