/* Ofront 1.2 -xtspa */

#ifndef StyleElems__h
#define StyleElems__h

#include "SYSTEM.h"
#include "Fonts.h"
#include "TextFrames.h"
#include "Texts.h"

typedef
	CHAR StyleElems_Name[32];

typedef
	struct StyleElems_ParcDesc *StyleElems_Parc;

typedef
	struct StyleElems_ParcDesc { /* TextFrames_ParcDesc */
		char _prvt0[20];
		LONGINT W, H;
		Texts_Handler handle;
		char _prvt1[4];
		LONGINT left, first, width, lead, lsp, dsr;
		SET opts;
		INTEGER nofTabs;
		LONGINT tab[32];
		StyleElems_Name name;
		char _prvt2[4];
	} StyleElems_ParcDesc;

typedef
	struct StyleElems_UpdateMsg { /* Texts_ElemMsg */
		INTEGER id;
		LONGINT pos;
		StyleElems_Name name, newName;
		StyleElems_Parc parc;
	} StyleElems_UpdateMsg;


import Fonts_Font StyleElems_font;

import long *StyleElems_ParcDesc__typ;
import long *StyleElems_UpdateMsg__typ;

import void StyleElems_Alloc ();
import void StyleElems_Broadcast ();
import void StyleElems_ChangeName ();
import void StyleElems_ChangeSetting ();
import void StyleElems_Copy ();
import void StyleElems_Draw ();
import void StyleElems_Edit ();
import void StyleElems_Handle ();
import void StyleElems_Insert ();
import void StyleElems_Load ();
import void StyleElems_Prepare ();
import void StyleElems_Rename ();
import void StyleElems_RenameAll ();
import void StyleElems_Search ();
import void StyleElems_SetAttr ();
import void StyleElems_Store ();
import void StyleElems_Synch ();
import void *StyleElems__init();


#endif
