/* Ofront 1.2 -xtspa */

#ifndef TableElems__h
#define TableElems__h

#include "SYSTEM.h"
#include "Display.h"
#include "MenuViewers.h"
#include "Texts.h"

typedef
	struct TableElems_ElemDesc *TableElems_Elem;

typedef
	struct TableElems_ElemDesc { /* Texts_ElemDesc */
		char _prvt0[20];
		LONGINT W, H;
		Texts_Handler handle;
		char _prvt1[4];
		Texts_Text def;
		char _prvt2[148];
	} TableElems_ElemDesc;

typedef
	struct TableElems_ViewerDesc *TableElems_Viewer;

typedef
	struct TableElems_ViewerDesc { /* MenuViewers_ViewerDesc */
		Display_Frame dsc, next;
		INTEGER X, Y, W, H;
		Display_Handler handle;
		INTEGER state;
		INTEGER menuH;
		TableElems_Elem elem;
	} TableElems_ViewerDesc;



import long *TableElems_ElemDesc__typ;
import long *TableElems_ViewerDesc__typ;

import void TableElems_Alloc ();
import void TableElems_Changed ();
import Texts_Text TableElems_CopyText ();
import void TableElems_Draw ();
import void TableElems_Handle ();
import void TableElems_Insert ();
import void TableElems_Load ();
import void TableElems_Open ();
import void TableElems_OpenViewer ();
import void TableElems_Print ();
import void TableElems_Store ();
import void TableElems_Track ();
import void TableElems_Update ();
import void *TableElems__init();


#endif
